Package ch.qos.logback.classic.pattern

# Class ClassNameOnlyAbbreviator

java.lang.Object
ch.qos.logback.classic.pattern.ClassNameOnlyAbbreviator

All Implemented Interfaces:
  `Abbreviator`

public class ClassNameOnlyAbbreviator extends Object implements Abbreviator
This abbreviator returns the class name from a fully qualified class name, removing the leading package name.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`ClassNameOnlyAbbreviator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`abbreviate(String fqClassName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassNameOnlyAbbreviator

public ClassNameOnlyAbbreviator()

## Method Details

### abbreviate

public String abbreviate(String fqClassName)

Specified by:
  `abbreviate` in interface `Abbreviator`